<div class="todo-details">
  <div *ngIf="!editMode">
    <h4 class="todo-details-title">
      {{ todo.title }}
    </h4>
    <div class="todo-details-details">
      <div
        [className]="
          displayFullDetails
            ? 'details-flyout display-block'
            : 'details-flyout display-none'
        "
        *ngIf="todo.description.length > 100"
        (mouseleave)="toggleDisplayDetails(false)"
      >
        <p class="close-details-toggle">
          <span (click)="toggleDisplayDetails(false)"
            ><fa-icon [icon]="faCircleXmark" size="lg"></fa-icon
          ></span>
          {{ todo.description }}
        </p>
      </div>
      <p class="description">
        <span class="todo-details-label">Description:</span>
        {{ getDisplayDescription(todo.description) }}
        <span
          class="description-details"
          *ngIf="todo.description.length > 100"
          (mouseenter)="toggleDisplayDetails(true)"
        >
          <fa-icon [icon]="faMagnifyingGlassPlus"></fa-icon
        ></span>
      </p>
      <p>
        <span class="todo-details-label">Status:</span>
        {{ getDisplayStatus(todo.status) }}
      </p>
      <p>
        <span class="todo-details-label">Created on:</span>
        {{ getDisplayDate(todo.createdDateTime) }}
      </p>
      <p>
        <span class="todo-details-label">Complete?</span>
        {{ todo.isComplete ? "COMPLETE" : "Not Complete" }}
      </p>
      <p *ngIf="todo.completedDateTime">
        <span class="todo-details-label">Completed On:</span>
        {{ getDisplayDate(todo.completedDateTime) }}
      </p>
    </div>
  </div>
  <div class="button-container">
    <button
      type="button"
      class="btn-success"
      style="
        width: 110px;
        height: 40px;
        padding-left: 15px;
        padding-right: 15px;
      "
    >
      <span><fa-icon [icon]="faPenToSquare"></fa-icon></span>
    </button>
    <button
      type="button"
      class="btn-error"
      style="
        width: 120px;
        height: 40px;
        padding-left: 15px;
        padding-right: 15px;
      "
    >
      <span><fa-icon [icon]="faTrash"></fa-icon></span>
    </button>
  </div>
</div>
